%define name ksubtitleripper
%define version 0.3.1
%define distsuffix plf
%define release %mkrel 5

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Application to extract DVD subtitles to text
Source: http://download.berlios.de/ksubtitleripper/%{name}-%{version}.tar.bz2
URL: http://ksubtitleripper.berlios.de/
License: GPL
Group: Video
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: chrpath
BuildRequires: kdelibs-devel
Requires: subtitleripper gocr transcode

%description
KSubtitleRipper is a GUI for KDE to rip DVD subtitles. Extracts
subtitles from .vob files and creates subtitles in SRT format.

This package is in PLF because it depends on a dvd-ripping tool.

%prep
%setup -q

%build
export QTDIR=%{_prefix}/lib/qt3
export QTLIB=$QTDIR/%{_lib}
%configure
perl -pi -e 's|--tag=CXX||' src/Makefile

%make

%install
rm -rf %{buildroot}
%makeinstall
install -d %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/%{name}"\
 icon="%{name}.png"\
 needs="X11"\
 section="Multimedia/Video"\
 title="KSubtitleRipper"\
 longtitle="Subtitle Ripper"\
 xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Qt" \
  --add-category="KDE" \
  --add-category="Video" \
  --add-category="AudioVideoEditing" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --delete-original \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applnk/Utilities/*

install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_liconsdir}
cp %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/ksubtitleripper.png\
 %{buildroot}%{_miconsdir}/ksubtitleripper.png
cp %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/ksubtitleripper.png\
 %{buildroot}%{_iconsdir}/ksubtitleripper.png
cp %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/ksubtitleripper.png\
 %{buildroot}%{_liconsdir}/ksubtitleripper.png

chrpath -d %{buildroot}%{_bindir}/%{name}

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/apps/%{name}/ksubtitleripperui.rc
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/actions/*
%{_datadir}/doc/HTML/en/%{name}/*

%changelog
* Tue Jun 19 2007 Guillaume Bedot <littletux@zarb.org> 0.3.1-5plf2008.0
- fix menu (and bug #162)

* Sat Jul 22 2006 Guillaume Bedot <littletux@zarb.org> 0.3.1-4plf2007.0
- xdg menu, clean install, space instead of tabs

* Sun Oct  9 2005 Anssi Hannula <anssi@zarb.org> 0.3.1-3plf
- fix x86_64 build

* Sat Oct  8 2005 Stefan van der Eijk <stefan@zarb.org> 0.3.1-2plf
- BuildRequires
- distsuffix & mkrel

* Fri May 20 2005 Guillaume Bedot <littletux@zarb.org> 0.3.1-1plf
- New Release 0.3.1.
- removed rpath to make rpmlint happy.

* Tue Aug 31 2004 Guillaume Bedot <littletux@zarb.org> 0.2-2plf
- builds for mdk 10.0

* Sun Aug 22 2004 Guillaume Bedot <littletux@zarb.org> 0.2-1plf
- Release 0.2
- add transcode to Requires
- dropped now unneeded spec & french patches (rpmbuildupdatized)
- removed libtoolize trick

* Wed Aug 11 2004 Guillaume Bedot <littletux@zarb.org> 0.1.110804svn-1plf
- Re-packed for plf

* Fri Apr 02 2004 Sergio Cambra <runico@users.berlios.de> 0.1-2mdk
- Menu file added

* Fri Apr 02 2004 Sergio Cambra <runico@users.berlios.de> 0.1-1mdk
- Initial release
